Unbind Running Security Group

Unbind Running Security Group
Unbind a running security group from a space

This endpoint removes a space from a security group with the running lifecycle. Apps within this space must be restarted for these changes to take effect.

Request
URI
DELETE
https://api.example.local/v3/security_groups/{guid}/relationships/running_spaces/{space_guid}
COPY
Path Parameters
string
guid
Required

The unique identifier for the resource

string
space_guid
Required

The unique identifier for the space


Authentication
This operation uses the following authentication methods.
Responses
204

No Content

Operation doesn't return any data structure

401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


404

Not Found

Returns NotFound of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


422

Unprocessable Entity

Returns UnprocessableEntity of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X DELETE -H 'Authorization: <value>' https://{api_host}/v3/security_groups/{guid}/relationships/running_spaces/{space_guid}